PDA

View Full Version : Dash 9 cab major errors



ljjiricek
November 17th, 2012, 06:55 AM
I am getting Major errors. Here they are:

Error: gewidinterior.gs(1200) : member iTex does not exist in object JRInteriorCabinData, line 1200.
Error: gewidinterior.gs(1200) : illegal types for operand *, line 1200
Error: gewidinterior.gs(1200) : illegal types for operand -, line 1200
Error: gewidinterior.gs(1200) : function SetFXTextureReplacement not declared in class MeshObject or derivative, line 1200.
Error: gewidinterior.gs(1201) : member iTex does not exist in object JRInteriorCabinData, line 1201.
Error: gewidinterior.gs(1201) : illegal types for operand *, line 1201
Error: gewidinterior.gs(1201) : illegal types for operand -, line 1201
Error: gewidinterior.gs(1201) : function SetFXTextureReplacement not declared in class MeshObject or derivative, line 1201.
Error: gewidinterior.gs(1202) : member iTex does not exist in object JRInteriorCabinData, line 1202.
Error: gewidinterior.gs(1202) : illegal types for operand *, line 1202
Error: gewidinterior.gs(1202) : illegal types for operand -, line 1202
Error: gewidinterior.gs(1202) : function SetFXTextureReplacement not declared in class MeshObject or derivative, line 1202.
Error: gewidinterior.gs(1203) : member iTex does not exist in object JRInteriorCabinData, line 1203.
Error: gewidinterior.gs(1203) : illegal types for operand *, line 1203
Error: gewidinterior.gs(1203) : illegal types for operand -, line 1203
Error: gewidinterior.gs(1203) : function SetFXTextureReplacement not declared in class MeshObject or derivative, line 1203.
Error: .. while compiling 'gewidinterior.gs'

I anyone could please help, that would be great!

Edit: The cabs are not faulty anymore! It was the FX library.

Thank you very much!

yutzk
November 17th, 2012, 08:26 AM
Yup just in case anyone else sees this thread it is ESSENTIAL you grab the latest Train FX library ( even if you may have done so in the past) as this is the newest version and must be installed for these to work right. Make sure to OVERWRITE any previous version or simply delete the the old and install the new if its easier for you. Make sure to also check your open for edit tab if your sure youve installed the newest one as it will need to be committed before your faulty tag dissapears.

nicola86
November 17th, 2012, 10:03 AM
Hi Yutzk,
I have the same errors reported from ljjiricek, and from other users, for the cab of Dash-9; for more details, I attach a picture taken in Trainz:
http://i1241.photobucket.com/albums/gg520/Nicola636128/Varie/nicola86_20121117_0000.jpg

How can I fix this problem?

Also, when I go to exit the game, it crashes ...

Nicola

ryanstrains
November 17th, 2012, 12:29 PM
Is the cab on a CW44-9 or did you try putting it on something else, if you put it on something else it won't work right.

nicola86
November 17th, 2012, 01:25 PM
Is the cab on a CW44-9 or did you try putting it on something else, if you put it on something else it won't work right.

In the picture, is a cab on a Dash9, I did not try to put it on "something different" as you say ....

I want to say that I have the latest version of Train FX library.

yutzk
November 17th, 2012, 01:26 PM
Nicola, read the instructions I posted above as this is the process of how you fix the issue.

bmjank
November 17th, 2012, 04:12 PM
scan the faulty asset for errors that should fix it. It did 4 me

nicola86
November 18th, 2012, 04:04 AM
Nicola, read the instructions I posted above as this is the process of how you fix the issue.
Problem solved, Thanks Yutzk !
But now he had another one: I do not work on the ditchlights, and not only the locomotives but also with other ( CN/UP C40-8, UP SW1500, UP GP38-2, CN ES44DC and UP GP40-2 ex DRGW) .... why?

Nicola

yutzk
November 18th, 2012, 08:30 AM
Problem solved, Thanks Yutzk !
But now he had another one: I do not work on the ditchlights, and not only the locomotives but also with other ( CN/UP C40-8, UP SW1500, UP GP38-2, CN ES44DC and UP GP40-2 ex DRGW) .... why?

Nicola


If your meaning that the ditchlights do not flash on these and the ones you listed then that is due to the fact the prototypes ditchlights do NOT flash either.

nicola86
November 18th, 2012, 03:50 PM
If your meaning that the ditchlights do not flash on these and the ones you listed then that is due to the fact the prototypes ditchlights do NOT flash either.
And to make sure that they work what should I do? Edit the config at what points?
Or is much more complex ....

ryanstrains
November 18th, 2012, 04:35 PM
And to make sure that they work what should I do? Edit the config at what points?
Or is much more complex ....
If they don't want to turn on, either make sure you turn the lights on before you move or use the light switch in the cab to turn the lights on.

norfolksouthern37
November 18th, 2012, 06:03 PM
And to make sure that they work what should I do? Edit the config at what points?
Or is much more complex ....
what he means is they do not flash on the real locomotives in the real world.

nicola86
November 21st, 2012, 04:14 AM
what he means is they do not flash on the real locomotives in the real world.
I did not say this, I said that in some of your locomotive does not work the flash of ditchlights and wanted to know if we could make it work, even fumbling in the config, if it is simple ....

SD45T-2
November 21st, 2012, 08:50 AM
Yes.

In the config there is a tag called ditchlights in the Train_Fx sectiion. It should have a 2 by it. Change it to a 1. Save.

Do not do in CCP or it will break the loco.

norfolksouthern37
November 21st, 2012, 11:37 AM
I did not say this, I said that in some of your locomotive does not work the flash of ditchlights and wanted to know if we could make it work, even fumbling in the config, if it is simple ....

okay in that case change the tag called ditchlights to 1 like explained above.

nicola86
November 21st, 2012, 02:10 PM
Yes.

In the config there is a tag called ditchlights in the Train_Fx sectiion. It should have a 2 by it. Change it to a 1. Save.

Do not do in CCP or it will break the loco.


okay in that case change the tag called ditchlights to 1 like explained above.

Thank you SD45T-2 and Justin !!!

Nicola

kody52089
December 2nd, 2012, 04:41 PM
I have downloaded the new Trainz fx from JR and they still dont work what else do i need to do to fix this.

norfolksouthern37
December 2nd, 2012, 05:47 PM
if you are getting the errors above install the latest train fx library. there is no other cause for the errors.

kody52089
December 2nd, 2012, 06:42 PM
I did that should i reinstall it?

traincrazy0918
December 2nd, 2012, 09:44 PM
Delete both all of the Train Library assets, then download and install ONLY the new one, THEN the cab.
Hope that helps, should work just fine.

Also: Have you downloaded GE widecab type 1 and 2 from Jointedrail's dependency section? It seems as if many miss this dependancy, which is the cab itself.

kody52089
December 2nd, 2012, 11:16 PM
Yes i have the cab views. But i will delete the assets and try again.